Author: cazfi
Date: Wed Jan 13 05:53:13 2016
New Revision: 31458

URL: http://svn.gna.org/viewcvs/freeciv?rev=31458&view=rev
Log:
Prevent things deprecated in gtk+ 3.16 from gtk3x-client

See patch #6798

Modified:
    trunk/m4/gtk3x-client.m4

Modified: trunk/m4/gtk3x-client.m4
URL: 
http://svn.gna.org/viewcvs/freeciv/trunk/m4/gtk3x-client.m4?rev=31458&r1=31457&r2=31458&view=diff
==============================================================================
--- trunk/m4/gtk3x-client.m4    (original)
+++ trunk/m4/gtk3x-client.m4    Wed Jan 13 05:53:13 2016
@@ -8,9 +8,9 @@
   # Add check "x$client" = "xauto"  when this becomes supported client
   if test "x$gui_gtk3x" = "xyes" ||
      test "x$client" = "xall" ; then
-    PKG_CHECK_MODULES([GTK3X], [gtk+-3.0 >= 3.14.0],
+    PKG_CHECK_MODULES([GTK3X], [gtk+-3.0 >= 3.16.0],
       [
-        GTK3X_CFLAGS="$GTK3X_CFLAGS 
-DGDK_VERSION_MIN_REQUIRED=GDK_VERSION_3_14"
+        GTK3X_CFLAGS="$GTK3X_CFLAGS 
-DGDK_VERSION_MIN_REQUIRED=GDK_VERSION_3_16"
         GTK3X_CFLAGS="$GTK3X_CFLAGS 
-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_44"
         gui_gtk3x=yes
         if test "x$client" = "xauto" ; then


_______________________________________________
Freeciv-commits mailing list
Freeciv-commits@gna.org
https://mail.gna.org/listinfo/freeciv-commits

Reply via email to